View Issue Details

IDProjectCategoryView StatusLast Update
0003245FreeCADBugpublic2017-11-16 20:46
ReporterpaulleeAssigned Toeivindkvedalen 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0003245: BUG: Sketcher + Expression Engine - Expressions in Constraints get 'over-deleted'
DescriptionReported in forum as
[url=https://forum.freecadweb.org/viewtopic.php?f=3&t=25104]https://forum.freecadweb.org/viewtopic.php?f=3&t=25104[/url]

The following actions results in slightly different bug results (see videos attached in original discussion forum post)

[u]Example sketch + expressions[/u]
[list]

[*] 3 edges in a sketch

[*] each edge has - 4 constraints & 4 Expressions Formulas

[*] total 12 expressions in 12 constraints
[/list]

Steps To Reproduce[u]Steps to produce bug[/u]

[list]
[*] Deleting 1 edge - w/ 4 constraints & 4 Expression Formulas[/list]

[list=1]
[*]Deleting 2nd edge - constraints 5~8 & 4 Expressions
[*]Original 3rd edge become 2nd edge... etc. -ok
[*]Result: - 3rd edge's (now is 2nd edge) 4 expressions in 4 constraints got deleted also - Should not be deleted
[/list]


[list]
[*]Deleting directly 4 selected constraints w/ 4 Expressions
[/list]

[list=1]
[*]Select 2nd edge's - constraints 5~8 w/ 4 Expressions
[*]Delete the 4 constraints 5~8 (w/ 4 Expressions)
[*]Result: - 3rd edge's 1st expressions (out of 4) got deleted - Should not be deleted
[/list]
Additional InformationReported in forum as
[url=https://forum.freecadweb.org/viewtopic.php?f=3&t=25104]https://forum.freecadweb.org/viewtopic.php?f=3&t=25104[/url]

Videos provided in forum post
TagsNo tags attached.

Activities

eivindkvedalen

2017-11-06 19:20

developer   ~0010393

Please test my branch at https://github.com/eivindkv/FreeCAD/tree/Fix_issue_3245 to see if this resolves your issue.

paullee

2017-11-09 16:39

reporter   ~0010400

Hi, i haven't learnt compiling.

Anybody can test?

Thanks.

wmayer

2017-11-16 20:46

administrator   ~0010421

https://github.com/FreeCAD/FreeCAD/commit/36301ff67b6e165bddbabe5b63be0d90dd296cde

Issue History

Date Modified Username Field Change
2017-11-06 17:46 paullee New Issue
2017-11-06 18:27 eivindkvedalen Assigned To => eivindkvedalen
2017-11-06 18:27 eivindkvedalen Status new => assigned
2017-11-06 19:20 eivindkvedalen Note Added: 0010393
2017-11-09 16:39 paullee Note Added: 0010400
2017-11-16 20:46 wmayer Status assigned => closed
2017-11-16 20:46 wmayer Resolution open => fixed
2017-11-16 20:46 wmayer Fixed in Version => 0.17
2017-11-16 20:46 wmayer Note Added: 0010421